<template>
    <div class="sewers-search" v-if="judgeVisible">
        <div class="panel-title">{{ title }}</div>
        <el-tabs v-model="activeName" @tab-click="handleClick">
            <el-tab-pane label="事件查询" name="first">
                <EventQuery></EventQuery>
            </el-tab-pane>
            <el-tab-pane label="资源查询" name="second">
                <ResourcesQuery></ResourcesQuery>
            </el-tab-pane>
        </el-tabs>
    </div>
</template>

<script>
import EventQuery from './enterprise-emergency/EventQuery'
import ResourcesQuery from './enterprise-emergency/ResourcesQuery'

export default {
  name: 'EnterpriseEmergencySearch',
  props: ['title'],
  components: {
    EventQuery,
    ResourcesQuery
  },
  data () {
    return {
      judgeVisible: true,
      activeName: 'first'
    }
  },
  methods: {
    handleClick (tab) {
      console.log(tab)
    }
  }
}
</script>

<style lang="less" scoped>

</style>
